Loading...
Searching...
No Matches
pcl::test Namespace Reference

test_macros.h provide helper macros for testing vectors, matrices etc. More...

## Namespaces

namespace | internal

## Functions

template<typename V1 , typename V2 >
void | EXPECT_EQ_VECTORS (const V1 &v1, const V2 &v2)
template<typename V1 , typename V2 , typename Scalar >
void | EXPECT_NEAR_VECTORS (const V1 &v1, const V2 &v2, const Scalar &epsilon)

## Detailed Description

test_macros.h provide helper macros for testing vectors, matrices etc.

We took some liberty with upcasing names to make them look like googletest macros names so that reader is not confused.

This file also provides a family of googletest-style macros for asserting equality or nearness of xyz, normal, and rgba fields.

Author
  Nizar Sallem, Sergey Alexandrov

## Function Documentation

## EXPECT_EQ_VECTORS()

template<typename V1 , typename V2 >

void pcl::test::EXPECT_EQ_VECTORS | ( | const V1 & | v1,
|  | const V2 & | v2
| ) |  |

Definition at line 63 of file pcl_tests.h.

## EXPECT_NEAR_VECTORS()

template<typename V1 , typename V2 , typename Scalar >

void pcl::test::EXPECT_NEAR_VECTORS | ( | const V1 & | v1,
|  | const V2 & | v2,
|  | const Scalar & | epsilon
| ) |  |

Definition at line 73 of file pcl_tests.h.